org.apache.ignite.internal.processors.platform.messaging

## Class PlatformMessageFilterImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate
  - - org.apache.ignite.internal.processors.platform.messaging.PlatformMessageFilterImpl

All Implemented Interfaces:
  Externalizable, Serializable, PlatformMessageFilter, IgniteBiPredicate<UUID,Object>

    public class PlatformMessageFilterImpl
    extends PlatformAbstractPredicate
    implements PlatformMessageFilter

Platform message filter. Delegates apply to native platform.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate

`ctx, pred, ptr`

### Constructor Summary

Constructors
Constructor and Description
`PlatformMessageFilterImpl()` Constructor.
`PlatformMessageFilterImpl(Object pred, long ptr, PlatformContext ctx)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(UUID uuid, Object m)` Predicate body.
`void` `initialize(GridKernalContext kernalCtx)` Initializes the filter.
`void` `onClose()` Closes the filter.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractPredicate

`readExternal, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.lang.IgniteBiPredicate

`and`

### Constructor Detail

#### PlatformMessageFilterImpl

    public PlatformMessageFilterImpl()

Constructor.

#### PlatformMessageFilterImpl

    public PlatformMessageFilterImpl(Object pred,
                                     long ptr,
                                     PlatformContext ctx)

Constructor.

Parameters:
  `pred` - .Net binary predicate.
  `ptr` - Pointer to predicate in the native platform.
  `ctx` - Kernal context.

### Method Detail

#### apply

    public boolean apply(UUID uuid,
                         Object m)

Predicate body.

Specified by:
  `apply` in interface `IgniteBiPredicate<UUID,Object>`
Parameters:
  `uuid` - First parameter.
  `m` - Second parameter.
Returns:
  Return value.

#### initialize

    public void initialize(GridKernalContext kernalCtx)

Initializes the filter.

Specified by:
  `initialize` in interface `PlatformMessageFilter`
Parameters:
  `kernalCtx` - Kernal context.

#### onClose

    public void onClose()

Closes the filter.

Specified by:
  `onClose` in interface `PlatformMessageFilter`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020